Commit 764db9a0 authored by Michael Catanzaro's avatar Michael Catanzaro

core-deps-3.16: add gcab

Also, add it as a dependency of appstream-glib.

Also, add a patch to make it install a binary instead of a libtool
wrapper script.
parent 751dca16
......@@ -61,6 +61,10 @@
<repository type="tarball" name="libxkbcommon"
href="http://xkbcommon.org/download/"/>
<!-- FIXME: Remove once we no longer need to patch gcab -->
<repository type="tarball" name="gnome"
href="https://download.gnome.org/sources/"/>
<include href="gnome-sysdeps-3.16.modules"/>
<!-- Please try to keep organized alphabetically by section -->
......@@ -74,6 +78,7 @@
<branch repo="github.com" module="hughsie/appstream-glib.git"/>
<dependencies>
<dep package="freetype2"/>
<dep package="gcab"/>
<dep package="gdk-pixbuf"/>
<dep package="glib"/>
<dep package="gobject-introspection"/>
......@@ -100,6 +105,23 @@
</dependencies>
</autotools>
<!-- FIXME We should probably build from git rather than a tarball once we
no longer need this patch. And remove the definition of the gnome
tarball repo (above). -->
<autotools id="gcab" skip-autogen="never" autogen-sh="autoreconf">
<branch repo="gnome"
version="0.5"
module="gcab/${version}/gcab-${version}.tar.xz"
hash="sha256:9b127e7f5976045f22d4d37ff1a52599e06ed15fda1c9ddf4f499bb9cf123d52">
<patch file="gcab-0.5-installation.patch" strip="1"/>
</branch>
<dependencies>
<dep package="glib"/>
<dep package="vala"/>
<dep package="zlib"/>
</dependencies>
</autotools>
<autotools id="geoclue">
<if condition-unset="linux">
<autogenargs value="--disable-3g-source --disable-modem-gps-source --disable-cdma-source"/>
......
From a7dfb006872ee6bff19044e0321eabed4910c0ff Mon Sep 17 00:00:00 2001
From: Michael Catanzaro <mcatanzaro@gnome.org>
Date: Mon, 16 Mar 2015 15:55:27 -0500
Subject: [PATCH] Fix gcab installation
gcab installs a libtool wrapper script unless fast install is enabled.
Odd.
Also, remove the git gen stuff so that autogen from tarball works.
---
configure.ac | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/configure.ac b/configure.ac
index 748e804..65a68b4 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,5 +1,5 @@
AC_PREREQ(2.57)
-AC_INIT([gcab], m4_esyscmd([build-aux/git-version-gen .tarball-version]), [marcandre.lureau@gmail.com])
+AC_INIT([gcab], [0.5], [marcandre.lureau@gmail.com])
AC_CONFIG_SRCDIR([gcab.c])
AC_CONFIG_AUX_DIR([build-aux])
AC_CONFIG_MACRO_DIR([m4])
@@ -12,7 +12,7 @@ AM_SILENT_RULES([yes])
AC_PROG_CC
AM_PROG_CC_C_O
AC_PROG_INSTALL
-LT_INIT([win32-dll disable-fast-install])
+LT_INIT([win32-dll])
GTK_DOC_CHECK([1.14],[--flavour no-tmpl])
PKG_PROG_PKG_CONFIG
GOBJECT_INTROSPECTION_CHECK([0.9.4])
--
2.1.0
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment